materio_flag.user_flagging_collections:
  path: 'materio_flag/user_flagging_collections'
  defaults:
    _controller: '\Drupal\materio_flag\Controller\MaterioFlagController::getUsersFlaggingCollections'
    _title: 'User Flagging Colleciton'
  requirements:
    _permission: 'access content'

materio_flag.create_user_flagging_collection:
  path: 'materio_flag/create_user_flagging_collection'
  defaults:
    _controller: '\Drupal\materio_flag\Controller\MaterioFlagController::createUserFlaggingCollection'
    _title: 'Create User Flagging Collection'
  requirements:
    _permission: 'add flag lists'

materio_flag.delete_user_flagging_collection:
  path: 'materio_flag/delete_user_flagging_collection'
  defaults:
    _controller: '\Drupal\materio_flag\Controller\MaterioFlagController::deleteUserFlaggingCollection'
    _title: 'Delete User Flagging Collection'
  requirements:
    _permission: 'edit own flag lists'

materio_flag.flag:
  path: 'materio_flag/flag'
  defaults:
    _controller: '\Drupal\materio_flag\Controller\MaterioFlagActionsController::flaglistentity'
    _title: 'Add entity to Flagging Collection'
  requirements:
    _permission: 'edit own flag lists'

materio_flag.unFlag:
  path: 'materio_flag/unflag'
  defaults:
    _controller: '\Drupal\materio_flag\Controller\MaterioFlagActionsController::unFlaglistentity'
    _title: 'Remove entity from Flagging Collection'
  requirements:
    _permission: 'edit own flag lists'

# materio_flag.unflag
# path: 'materio_flag/unflag'
# defaults:
# _controller: '\Drupal\materio_flag\Controller\MaterioFlagController::unFlag'
# _title: 'Remove entity from Flagging Collection'
# requirements:
# _permission: 'edit own flag lists'
